#
# spec file for package python-python-gnupg
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%define         oldpython python
%bcond_with     test
Name:           python-python-gnupg
Version:        0.4.1
Release:        lp150.1.3
Summary:        A wrapper for the GNU Privacy Guard (GPG or GnuPG)
License:        BSD-3-Clause
Group:          Development/Languages/Python
Url:            http://pythonhosted.org/python-gnupg/index.html
Source:         https://files.pythonhosted.org/packages/source/p/python-gnupg/python-gnupg-%{version}.tar.gz
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
%if %{with test}
BuildRequires:  gpg2
%endif
Requires:       gpg2
%ifpython2
Obsoletes:      %{oldpython}-gnupg < %{version}
Provides:       %{oldpython}-gnupg = %{version}
%endif
%ifpython3
Obsoletes:      python3-gnupg < %{version}
Provides:       python3-gnupg = %{version}
%endif
BuildArch:      noarch

%python_subpackages

%description
This module allows access to GnuPG's key management,
encryption and signature functionality from Python programs.

%prep
%setup -q -n python-gnupg-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%if %{with test}
%check
%python_exec test_gnupg.py
%endif

%files %{python_files}
%defattr(-,root,root,-)
%doc LICENSE.txt README.rst
%{python_sitelib}/*

%changelog
* Mon Sep 11 2017 jengelh@inai.de
- Ensure description neutrality.
* Wed Sep  6 2017 toddrme2178@gmail.com
- Initial version
